.cproject
.project
*.pro.user.*
+static/
rpldoc.zip
build/
appl/build-reidos-Desktop-Debug/
--- /dev/null
+#! /bin/sh
+./call_Artistic_Style.sh . 'hpp'
+./call_Artistic_Style.sh . 'cpp'
+find -name "*.orig" -delete
+
+++ /dev/null
-These are files of the Real Public Library.
-You can use or modify this files without any restrictions.
-There is no warrenty.
-You also can use the following licence: http://www.wtfpl.net/
-
-The original code was published at https://github.com/republib
-
-
--- /dev/null
+These are files of the Real Public Library.
+
+This is free and unencumbered software released into the public domain.
+
+Anyone is free to copy, modify, publish, use, compile, sell, or
+distribute this software, either in source code form or as a compiled
+binary, for any purpose, commercial or non-commercial, and by any
+means.
+
+In jurisdictions that recognize copyright laws, the author or authors
+of this software dedicate any and all copyright interest in the
+software to the public domain. We make this dedication for the benefit
+of the public at large and to the detriment of our heirs and
+successors. We intend this dedication to be an overt act of
+relinquishment in perpetuity of all present and future rights to this
+software under copyright law.
+
+THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
+OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
+ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
+OTHER DEALINGS IN THE SOFTWARE.
+
+For more information, please refer to <http://unlicense.org/>
/*
* droptablewidget.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* droptablewidget.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* main.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
--- /dev/null
+# This file is used to ignore files which are generated
+# ----------------------------------------------------------------------------
+
+*~
+*.autosave
+*.a
+*.core
+*.moc
+*.o
+*.obj
+*.orig
+*.rej
+*.so
+*.so.*
+*_pch.h.cpp
+*_resource.rc
+*.qm
+.#*
+*.*#
+core
+!core/
+tags
+.DS_Store
+.directory
+*.debug
+Makefile*
+*.prl
+*.app
+moc_*.cpp
+ui_*.h
+qrc_*.cpp
+Thumbs.db
+*.res
+*.rc
+/.qmake.cache
+/.qmake.stash
+
+# qtcreator generated files
+*.pro.user*
+
+# xemacs temporary files
+*.flc
+
+# Vim temporary files
+.*.swp
+
+# Visual Studio generated files
+*.ib_pdb_index
+*.idb
+*.ilk
+*.pdb
+*.sln
+*.suo
+*.vcproj
+*vcproj.*.*.user
+*.ncb
+*.sdf
+*.opensdf
+*.vcxproj
+*vcxproj.*
+
+# MinGW generated files
+*.Debug
+*.Release
+
+# Python byte code
+*.pyc
+
+# Binaries
+# --------
+*.dll
+*.exe
+
--- /dev/null
+/*
+ * Licence:
+ * You can use and modify this file without any restriction.
+ * There is no warranty.
+ * You also can use the licence from http://www.wtfpl.net/.
+ * The original sources can be found on https://github.com/republib.
+*/
+
+#include "CFormatter.hpp"
+
+/**
+ * Constructor.
+ *
+ * @param args the program arguments
+ */
+CFormatter::CFormatter(ReProgramArgs& args) :
+ m_args(args)
+{
+}
+
+/**
+ * Formats a C++ file.
+ *
+ * @param filename the file to format
+ */
+void CFormatter::format(const char* filename)
+{
+ ReSimpleSource source(filename);
+ const char* keywords = "";
+ const char* operators = "";
+ const char* rightAssociatives = "";
+ const char* comments = "";
+ const char* firstCharsId = "a-zA-Z_";
+ const char* restCharsId = "a-zA-Z0-9_";
+ int numericTypes = ReLexer::NUMTYPE_DECIMAL | ReLexer::NUMTYPE_HEXADECIMAL
+ | ReLexer::NUMTYPE_FLOAT;
+ int stringFeatures = ReLexer::SF_TICK | ReLexer::SF_QUOTE
+ | ReLexer::SF_C_ESCAPING | ReLexer::SF_C_SPECIAL | ReLexer::SF_C_HEX_CHARS;
+ int storageFlags = ReLexer::STORE_COMMENT | ReLexer::STORE_ORG_STRING;
+ ReLexer lexer(&source, keywords, operators, rightAssociatives, comments,
+ firstCharsId, restCharsId, numericTypes, stringFeatures,
+ storageFlags);
+
+}
+
+/**
+ * Formats the files given by the program arguments.
+ */
+void CFormatter::formatAll()
+{
+ for (int ix = 0; ix < m_args.argCount(); ix++) {
+ format(m_args.arg(ix));
+ }
+}
--- /dev/null
+/*
+ * Licence:
+ * You can use and modify this file without any restriction.
+ * There is no warranty.
+ * You also can use the licence from http://www.wtfpl.net/.
+ * The original sources can be found on https://github.com/republib.
+*/
+
+#ifndef CFORMATTER_HPP
+#define CFORMATTER_HPP
+#ifndef REBASE_HPP
+#include "base/rebase.hpp"
+#endif
+#ifndef REEXPR_HPP
+#include "expr/reexpr.hpp"
+#endif
+
+class CFormatter
+{
+public:
+ CFormatter(ReProgramArgs& args);
+public:
+ void format(const char* filename);
+ void formatAll();
+private:
+ ReProgramArgs& m_args;
+};
+
+#endif // CFORMATTER_HPP
--- /dev/null
+QT += core
+QT -= gui
+
+CONFIG += c++11
+
+TARGET = recform
+
+CONFIG += console
+CONFIG -= app_bundle
+
+TEMPLATE = app
+
+DEFINES += _NO_WIDGETS_=1
+
+INCLUDEPATH = ../..
+
+SOURCES += recformmain.cpp \
+ ../../base/ReException.cpp \
+ ../../base/ReStringUtils.cpp \
+ ../../base/ReQStringUtils.cpp \
+ ../../base/ReFileUtils.cpp \
+ ../../base/ReProgramArgs.cpp \
+ ../../base/ReCharPtrMap.cpp \
+ ../../base/ReLogger.cpp \
+ ../../expr/ReSource.cpp \
+ ../../expr/ReLexer.cpp \
+ ../../expr/ReParser.cpp \
+ CFormatter.cpp \
+ CppParser.cpp
+
+HEADERS += recformmain.hpp \
+ ../../base/rebase.hpp \
+ CFormatter.hpp \
+ cppparser.hpp
+
+CODECFORSRC = UTF-8
/*
* aboutdialog.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* aboutdialog.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* dialogfileplaceholder.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* dialogfileplaceholder.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* dialogglobalplaceholder.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* dialogglobalplaceholder.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* dialogoptions.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* dialogoptions.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* filefinder.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* filefinder.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* filetablewidget.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* filetablewidget.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* main.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* textfinder.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* textfinder.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* utils.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* utils.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * Licence:
+ * filesearch.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "filesearch.hpp"
/*
- * Licence:
+ * filesearch.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef FILESEARCH_HPP
/*
* main.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "reide.hpp"
/*
* mainwindow.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* project.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* project.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* projectselection.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* projectselection.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * reditor.hpp
+ * reide.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.cpp
+ * EditorView.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.hpp
+ * EditorView.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.cpp
+ * FileTreeView.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.hpp
+ * FileTreeView.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.cpp
+ * Perspective.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.hpp
+ * Perspective.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.cpp
+ * ProjectPerspective.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.hpp
+ * ProjectPerspective.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.cpp
+ * StartPerspective.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.hpp
+ * StartPerspective.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * Licence:
+ * StartView.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
*/
#include "reide.hpp"
/*
- * Licence:
+ * StartView.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
*/
#ifndef STARTVIEW_HPP
/*
- * project.cpp
+ * View.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * project.hpp
+ * View.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* workspace.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* workspace.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * Licence:
+ * FileCommander.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "reidos.hpp"
/*
- * Licence:
+ * FileCommander.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef FILECOMMANDER_HPP
/*
- * Licence:
+ * idosmain.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "reidos.hpp"
#include "ui_idosmain.h"
/*
- * Licence:
+ * idosmain.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef IDOSMAIN_HPP
/*
- * Licence:
+ * main.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "reidos.hpp"
/*
- * Licence:
+ * maincmdline.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "reidoscmdline.hpp"
/*
- * Licence:
+ * reidos.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef REIDOS_HPP
/*
- * Licence:
+ * reidoscmdline.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef REIDOSCMDLINE_HPP
+/*
+ * reidoscl.cpp
+ *
+ * (Un)License: Public Domain
+ * You can use and modify this file without any restriction.
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "reidoscl.hpp"
#include <QApplication>
/*
- * Licence:
+ * reidoscl.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef REIDOSCMDLINE_HPP
/*
* aboutdialog.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* aboutdialog.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* converter.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* converter.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* main.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* Prime.cpp
*
- * Created on: Oct 8, 2015
- * Author: kawi
+ * (Un)License: Public Domain
+ * You can use and modify this file without any restriction.
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
*/
#include "math.h"
#include "stdlib.h"
/*
* Prime.hpp
*
- * Created on: Oct 8, 2015
- * Author: kawi
+ * (Un)License: Public Domain
+ * You can use and modify this file without any restriction.
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
*/
#ifndef PRIME_HPP_
/*
- * Licence:
+ * main.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include <QCoreApplication>
/*
- * Licence:
+ * ReShellTree.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "resh.hpp"
/*
- * Licence:
+ * ReShellTree.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef RESHELLTREE_HPP
/*
- * Licence:
+ * main.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include <QCoreApplication>
/*
- * Licence:
+ * resh.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef RESH_HPP
/*
* aboutdialog.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* aboutdialog.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* main.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* mainwindow.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReByteStorage.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReByteStorage.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReCharPtrMap.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReCharPtrMap.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReConfig.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* ReConfig.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RECONFIG_HPP
/*
* ReConfigurator.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RECONFIGURATOR_HPP
/*
* ReContainer.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* ReContainer.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RECONTAINER_HPP
/*
- * ReFile.cpp
+ * ReDiff.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * ReFile.hpp
+ * ReDiff.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReException.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @mainpage
/*
* ReException.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef REEXCEPTION_HPP
/*
* ReFile.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReFile.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReFileUtils.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReFileUtils.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReLineSource.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReLineSource.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReLogger.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReLogger.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RELOGGER_HPP
/*
- * ReQStringUtil.cpp
+ * ReMatcher.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * ReQStringUtil.hpp
+ * ReMatcher.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * Licence:
+ * ReProcess.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "base/rebase.hpp"
/*
- * Licence:
+ * ReProcess.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef REPROCESS_HPP
/*
* ReProgramArgs.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReProgramArgs.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * ReQStringUtil.cpp
+ * ReQStringUtils.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
*/
int ReQStringUtils::lengthOfUInt(const ReString& text, int start, int radix,
uint* pValue) {
- quint64 value;
+ uint64_t value;
int rc = lengthOfUInt64(text, start, radix, &value);
if (pValue != NULL)
*pValue = (uint) value;
/*
- * ReQStringUtil.hpp
+ * ReQStringUtils.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReRandomizer.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReRandomizer.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * ReStringUtil.cpp
+ * ReStringUtils.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
- * ReStringUtil.hpp
+ * ReStringUtils.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RPLSTRING_HPP
/*
* ReTerminator.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* ReTerminator.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RPLTERMINATOR_HPP
/*
* ReTest.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* ReTest.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RETEST_HPP
/*
* ReWriter.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReWriter.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* rebase.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef REBASE_HPP
#include <QDateTime>
#include <QDir>
#include <QTimer>
+#ifndef _NO_WIDGETS_
#include <QWidget>
#include <QMainWindow>
#include <QComboBox>
#include <QComboBox>
+#endif
#include <QProcess>
#include <QMutex>
#if !defined __linux__
typedef qint64 int64_t;
#endif
-typedef quint64 uint64_t;
+//typedef quint64 uint64_t;
typedef qint32 int32_t;
typedef quint32 uint32_t;
typedef qreal real_t;
/*
- * Licence:
+ * retrace.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef RETRACE_HPP
/*
* testrplexample.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
include "project.hpp"
--- /dev/null
+--delete-empty-lines
+--indent=spaces=3
+-A2
+--align-pointer=type
+--mode=c
--- /dev/null
+#!/bin/sh
+
+if [ ! -n "$1" ]; then
+echo "Syntax is: recurse.sh dirname filesuffix"
+echo "Syntax is: recurse.sh filename"
+echo "Example: recurse.sh temp cpp"
+exit 1
+fi
+
+if [ -d "$1" ]; then
+#echo "Dir ${1} exists"
+if [ -n "$2" ]; then
+filesuffix=$2
+else
+filesuffix="*"
+fi
+
+#echo "Filtering files using suffix ${filesuffix}"
+
+file_list=`find ${1} -name "*.${filesuffix}" -type f`
+for file2indent in $file_list
+do
+echo "Indenting file $file2indent"
+#!/bin/bash
+astyle "$file2indent" --options="./call_Artistic_Style.astylerc"
+
+done
+else
+if [ -f "$1" ]; then
+echo "Indenting one file $1"
+#!/bin/bash
+astyle "$1" --options="./call_Artistic_Style.astylerc"
+
+else
+echo "ERROR: As parameter given directory or file does not exist!"
+echo "Syntax is: call_Artistic_Style.sh dirname filesuffix"
+echo "Syntax is: call_Artistic_Style.sh filename"
+echo "Example: call_Artistic_Style.sh temp cpp"
+exit 1
+fi
+fi
/*
* allTests.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "../base/rebase.hpp"
/*
* cuReASTree.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReBench.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReByteStorage.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* cuReCharPtrMap.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReConfig.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReContainer.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* cuReCryptFileSystem.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* cuReEdit.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* cuReEnigma.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* cuReException.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* cuReFile.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* cuReFileSystem.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* cuReFileUtils.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* cuReLexer.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReMFParser.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* cuReMatcher.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* cuReMatrix.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * Licence:
+ * cuReProcess.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
/** @file
* @brief Unit test of the byte and C string storage.
*/
/*
- * cuReProgArguments.cpp
+ * cuReProgArgs.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * cuReQStringUtil.cpp
+ * cuReQStringUtils.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* cuReRandomizer.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* cuReSettings.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReSource.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReStateStorage.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * cuReStringUtil.cpp
+ * cuReStringUtils.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReTraverser.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReVM.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* cuReWriter.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* main.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReASClasses.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReASClasses.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReASTree.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* ReASTree.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReLexer.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* ReLexer.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReMFParser.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReMFParser.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReParser.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReParser.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReSource.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
* @param reader the reader which can read the unit
*/
ReSourceUnit::ReSourceUnit(ReSourceUnitName name, ReReader* reader) :
- m_name(name),
- m_lineNo(0),
- m_reader(reader) {
+ m_name(name),
+ m_lineNo(0),
+ m_reader(reader) {
}
/**
* @brief Constructor.
*/
ReSourcePosition::ReSourcePosition() :
- m_sourceUnit(NULL),
- m_lineNo(0),
- m_column(0),
- m_caller(NULL) {
+ m_sourceUnit(NULL),
+ m_lineNo(0),
+ m_column(0),
+ m_caller(NULL) {
}
/**
* @param colNo distance to the line start
*/
ReSourcePosition::ReSourcePosition(ReSourceUnit* unit, int lineNo, int colNo) :
- m_sourceUnit(unit),
- m_lineNo(lineNo),
- m_column(colNo),
- m_caller(NULL) {
+ m_sourceUnit(unit),
+ m_lineNo(lineNo),
+ m_column(colNo),
+ m_caller(NULL) {
ReReader* reader = dynamic_cast<ReReader*>(unit->reader());
m_caller = reader->source().caller();
}
*/
char* ReSourcePosition::utf8(char buffer[], size_t bufferSize) const {
qsnprintf(buffer, bufferSize, "%s:%d:%d",
- m_sourceUnit == NULL ? "" : m_sourceUnit->name(), m_lineNo, m_column);
+ m_sourceUnit == NULL ? "" : m_sourceUnit->name(), m_lineNo, m_column);
return buffer;
}
* @param source the parent
*/
ReReader::ReReader(ReSource& source) :
- m_currentSourceUnit(NULL),
- m_units(),
- m_source(source) {
+ m_currentSourceUnit(NULL),
+ m_units(),
+ m_source(source) {
}
/**
* Therefore a simple allocation is possible with blocks.
*/
ReSourcePositionBlock::ReSourcePositionBlock() :
- m_successor(NULL)
+ m_successor(NULL)
// m_positions
{
memset(m_positions, 0, sizeof m_positions);
* @brief Constructor.
*/
ReSource::ReSource() :
- m_sourcePositionStack(),
- m_sourcePositionBlock(NULL),
- m_countPositionBlock(RPL_POSITIONS_PER_BLOCK + 1),
- m_readers(),
- m_sourceUnits(),
- m_unitStack(),
- m_currentReader(NULL) {
+ m_sourcePositionStack(),
+ m_sourcePositionBlock(NULL),
+ m_countPositionBlock(RPL_POSITIONS_PER_BLOCK + 1),
+ m_readers(),
+ m_sourceUnits(),
+ m_unitStack(),
+ m_currentReader(NULL) {
// the stack should never be empty:
m_sourcePositionStack.push(NULL);
}
*
*/
bool ReSource::startUnit(ReSourceUnitName unit,
- const ReSourcePosition& caller) {
+ const ReSourcePosition& caller) {
m_sourcePositionStack.push_back(&caller);
ReReader* reader = NULL;
QList<ReReader*>::iterator it;
for (it = m_readers.begin(); reader == NULL && it != m_readers.end();
- it++) {
+ it++) {
ReReader* current = *it;
if (current->openSourceUnit(unit)) {
reader = current;
if (m_unitStack.size() > 0)
m_unitStack.pop();
m_currentReader =
- m_unitStack.size() <= 0 ? NULL : m_unitStack.top()->reader();
+ m_unitStack.size() <= 0 ? NULL : m_unitStack.top()->reader();
if (m_currentReader == reader)
rc = m_unitStack.top();
else {
m_countPositionBlock++;
char* posInBlock = &m_sourcePositionBlock->m_positions[offset];
ReSourceUnit* unit = dynamic_cast<ReSourceUnit*>(m_currentReader
- ->currentSourceUnit());
+ ->currentSourceUnit());
ReSourcePosition* rc = new (posInBlock) ReSourcePosition(unit,
- unit->lineNo(), colNo);
+ unit->lineNo(), colNo);
return rc;
}
*/
const ReSourcePosition* ReSource::caller() const {
return
- m_sourcePositionStack.size() == 0 ? NULL : m_sourcePositionStack.top();
+ m_sourcePositionStack.size() == 0 ? NULL : m_sourcePositionStack.top();
}
/** @class ReStringSourceUnit ReSource.hpp "expr/ReSource.hpp"
* @param reader the parent
*/
ReStringSourceUnit::ReStringSourceUnit(ReSourceUnitName name,
- const ReSourceUnitContent& content, ReStringReader* reader) :
- ReSourceUnit(name, reader),
- m_currentPosition(0),
- m_content(content) {
+ const ReSourceUnitContent& content, ReStringReader* reader) :
+ ReSourceUnit(name, reader),
+ m_currentPosition(0),
+ m_content(content) {
}
/**
* @param source the parent
*/
ReStringReader::ReStringReader(ReSource& source) :
- ReReader(source) {
+ ReReader(source) {
}
/**
* true: success
*/
bool ReStringReader::fillBuffer(int maxSize, QByteArray& buffer,
- bool& hasMore) {
+ bool& hasMore) {
ReStringSourceUnit* unit = (ReStringSourceUnit*) m_currentSourceUnit;
ReSourceUnitContent content = unit->content();
int startPos = unit->currentPosition();
* @param content
*/
void ReStringReader::addSource(ReSourceUnitName name,
- ReSourceUnitContent content) {
+ ReSourceUnitContent content) {
// Deletion in the destructor of the base class ReReader
ReStringSourceUnit* unit = new ReStringSourceUnit(name, content, this);
m_units.insert(m_units.begin(), unit->name(), unit);
* @param content new content
*/
void ReStringReader::replaceSource(ReSourceUnitName name,
- ReSourceUnitContent content) {
+ ReSourceUnitContent content) {
if (m_units.contains(name)) {
ReStringSourceUnit* unit =
- dynamic_cast<ReStringSourceUnit*>(m_units[name]);
+ dynamic_cast<ReStringSourceUnit*>(m_units[name]);
unit->m_content = content;
}
}
*/
ReFileSourceUnit::ReFileSourceUnit(ReSourceUnitName filename,
- ReFileReader* reader) :
- ReSourceUnit(filename, reader),
- m_currentPosition(0),
- m_fp(fopen(filename, "r")),
- m_textStream(m_fp, QIODevice::ReadOnly),
- m_line() {
+ ReFileReader* reader) :
+ ReSourceUnit(filename, reader),
+ m_currentPosition(0),
+ m_fp(fopen(filename, "r")),
+ m_textStream(m_fp, QIODevice::ReadOnly),
+ m_line() {
}
/**
* @brief Constructor.
*/
ReFileReader::ReFileReader(ReSource& source) :
- ReReader(source) {
+ ReReader(source) {
}
/**
m_currentSourceUnit = unit;
}
+/**
+ * Constructor.
+ *
+ * @param filename the input file for the source
+ */
+ReSimpleSource::ReSimpleSource(const char* filename) :
+ m_reader(*this)
+{
+ m_reader.addSource(filename);
+}
/*
* ReSource.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
const ReSourcePosition* caller() const;
protected:
void destroy();
+public:
+ static ReSource* buildFileSource(const char* filename);
protected:
// stack of the info about the stacked (open) source units:
QStack<const ReSourcePosition*> m_sourcePositionStack;
friend class ReStringReader;
public:
ReStringSourceUnit(ReSourceUnitName name,
- const ReSourceUnitContent& content, ReStringReader* reader);
+ const ReSourceUnitContent& content, ReStringReader* reader);
virtual ~ReStringSourceUnit();
public:
int currentPosition() const;
void addSource(ReSourceUnitName filename);
};
+/**
+ * A simple input source initialized with one file.
+ */
+class ReSimpleSource : public ReSource{
+public:
+ ReSimpleSource(const char* filename);
+protected:
+ ReFileReader m_reader;
+};
+
#endif // RPLSOURCE_HPP
/*
* ReVM.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReVM.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* reexpr.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReEdit.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReEdit.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * storage.cpp
+ * ReFileTree.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * storage.hpp
+ * ReFileTree.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * Licence:
+ * ReGuiQueue.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "base/rebase.hpp"
#include "gui/regui.hpp"
/*
- * Licence:
+ * ReGuiQueue.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef REGUIQUEUE_HPP
#define REGUIQUEUE_HPP
/*
* ReGuiValidator.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReGuiValidator.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * storage.cpp
+ * ReSettings.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * storage.hpp
+ * ReSettings.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReStateStorage.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "QIODevice"
/*
* ReStateStorage.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* regui.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
- * Licence:
+ * ReFileTable.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "guiwidget/reguiwidget.hpp"
/*
- * Licence:
+ * ReFileTable.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef REFILETABLE_HPP
#define REFILETABLE_HPP
/*
- * Licence:
+ * reguiwidget.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef REGUIWIDGET_HPP
/*
* ReEnigma.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/** @file
/*
* ReEnigma.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RPLENIGMA_HPP
/*
* ReMatrix.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReMatrix.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReRandom.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReRandom.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RERANDOM_HPP
/*
* remath.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RPLMATH_HPP
/*
* ReNetConfig.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReNetConfig.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReTCPPeer.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* ReTCPPeer.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RPLTCPPEER_HPP
/*
* ReTCPServer.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
* ReTCPServer.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RPLTCPSERVER_HPP
/*
- * ReTCPClient.cpp
+ * ReTcpClient.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#include "base/rebase.hpp"
/*
- * ReTCPClient.hpp
+ * ReTcpClient.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RETCPCLIENT_HPP
/*
* renet.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RPLNET_HPP
/*
- * Licence:
+ * ReCryptFileSystem.cpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#include "base/rebase.hpp"
/*
- * Licence:
+ * ReCryptFileSystem.hpp
+ *
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
- * There is no warranty.
- * You also can use the licence from http://www.wtfpl.net/.
- * The original sources can be found on https://github.com/republib.
-*/
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
#ifndef RECRYPTFILESYSTEM_HPP
/*
- * ReTraverser.cpp
+ * ReFileSystem.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReFileSystem.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReTraverser.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* ReTraverser.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
/*
* reos.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
--- /dev/null
+Version 2015.12.25:
+ReFind:
+* Initial working version v2015.12.24
+Library:
+* Initial version
/*
* remodules.hpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
#ifndef RPLMODULES_HPP
/*
* ReStaticLib.cpp
*
- * License: Public Domain
+ * (Un)License: Public Domain
* You can use and modify this file without any restriction.
* Do what you want.
* No warranties and disclaimer of any damages.
- * You also can use this license: http://www.wtfpl.net
+ * More info: http://unlicense.org
* The latest sources: https://github.com/republib
*/
--- /dev/null
+#! /usr/bin/perl
+#
+# Replaces the file header comment of *.cpp + *.hpp files with
+# a public domain license.
+# all files of the current directory and its subdirectory will be modified.
+#
+
+use strict;
+
+my $s_delim = "/";
+my $s_template = "/*
+ * %NODE%
+ *
+ * (Un)License: Public Domain
+ * You can use and modify this file without any restriction.
+ * Do what you want.
+ * No warranties and disclaimer of any damages.
+ * More info: http://unlicense.org
+ * The latest sources: https://github.com/republib
+ */
+";
+
+&oneDir(".");
+exit 0;
+
+
+sub oneFile(){
+ my $filename = shift;
+ my $node = shift;
+
+ my $comment = $s_template;
+ $comment =~ s/%NODE%/$node/;
+ my @expected = split(/\n/, $comment);
+
+ open(my $INP, "<", $filename) || die "$filename: $!";
+ my @lines = <$INP>;
+ close $INP;
+ my $ix;
+ my $equal = 1;
+ for ($ix = 0; $equal && $ix <= $#expected; $ix++){
+ $equal = $expected[$ix] . "\n" eq $lines[$ix];
+ }
+ if (! $equal){
+ my $org = $lines[$ix-1];
+ chomp $org;
+ my $exp = $expected[$ix-1];
+ chomp $exp;
+ my $col = 0;
+ while (substr($org, $col, 1) eq substr($exp, $col, 1)){
+ $col++;
+ }
+ $col++;
+ print "$filename differs in line $ix-$col:\n'$org'\n'$exp'\n",
+ '-' x $col, "^\n";
+ # Remove the first comment:
+ if ($lines[0] =~ m!^/\*!){
+ my $stop = 0;
+ while (! $stop && $#lines >= 0){
+ $stop = index($lines[0], "*/") >= 0;
+ shift @lines;
+ }
+ }
+ open(my $OUT, ">", $filename) || die "$filename: $!";
+ print $OUT $comment;
+ print $OUT @lines;
+ }
+}
+sub oneDir{
+ my $dir = shift;
+
+ opendir (DIR, $dir) || die;
+ my @files = readdir (DIR);
+ closedir(DIR);
+
+ my $node;
+ foreach $node(@files){
+ my $fn = $dir . $s_delim . $node;
+ next unless $node =~ /\.(cpp|hpp|java)$/;
+ &oneFile($fn, $node);
+ }
+
+ foreach $node(@files){
+ my $fn = $dir . $s_delim . $node;
+ next unless -d $fn;
+ next if $node =~ /^[.]{1,2}$/;
+ &oneDir($fn);
+ }
+}
+
+